using System.Windows;
using System.Windows.Controls.Primitives;
using System.Windows.Input;

namespace SilverlightApplication12
{
    public class MouseLeftButtonUpCommandBehavior : CommandBehaviorBase<UIElement>
    {
        public MouseLeftButtonUpCommandBehavior(UIElement clickableObject)
        {
            clickableObject.MouseLeftButtonUp += OnMouseLeftButtonUp;
        }

        private void OnMouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            ExecuteCommand();
        }
    }
}