﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infrastructure;

namespace SilverlightApplication12
{
    public partial class ScoreListView : UserControl
    {
        public ScoreListView()
        {
            InitializeComponent();

            this.ViewModel = new ScoreListViewModel();
            this.ViewModel.View = this;
        }

        public ScoreListViewModel ViewModel
        {
            get
            {
                return this.DataContext as ScoreListViewModel;
            }
            set
            {
                this.DataContext = value;

                ((ObservableCommand)this.Resources["BuyCommand"]).Value = value.BuyCommand;
                ((ObservableCommand)this.Resources["SellCommand"]).Value = value.SellCommand;
                ((ObservableCommand)this.Resources["MouseLeftButtonUpCommand"]).Value = value.MouseLeftButtonUpCommand;
            }
        }
    }
}
